
Redmine - Defect #27753

Couldn't add watcher to an existing issue

2017-12-07 11:27 - David Setiawan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.3

Description

Hi all,

I need some help on why i couldn't add a watcher to an existing issue.

Below are the log from upon the error happen:

I, [2017-12-07T18:05:09.968115 #25008]  INFO -- : Started GET "/watchers/new.html?object_id=9945&o

bject_type=issue" for 115.135.56.205 at 2017-12-07 18:05:09 +0800

I, [2017-12-07T18:05:09.969757 #25008]  INFO -- : Processing by WatchersController#new as HTML

I, [2017-12-07T18:05:09.969866 #25008]  INFO -- :   Parameters: {"object_id"=>"9945", "object_type

"=>"issue"}

I, [2017-12-07T18:05:10.010421 #25008]  INFO -- :   Current user: xxx (id=xxx)

W, [2017-12-07T18:05:10.025527 #25008]  WARN -- : Missing template, responding with 404

I, [2017-12-07T18:05:10.026238 #25008]  INFO -- :   Rendered common/error.html.erb (0.1ms)

I, [2017-12-07T18:05:10.026427 #25008]  INFO -- : Completed 404 Not Found in 56ms (Views: 0.5ms | 

ActiveRecord: 39.0ms)

 Below is my redmine details:

Environment:

  Redmine version                3.4.3.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Mercurial                      3.1.2

  Filesystem

Redmine plugins:

  no plugin installed

History

#1 - 2017-12-07 11:57 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

It is your web server setting problem.

Started GET "/test-3.4-stable/watchers/new?object_id=68&object_type=issue" for 127.0.0.1 at 2017-12-07 19:55:2

8 +0900

Processing by WatchersController#new as JS

  Parameters: {"object_id"=>"68", "object_type"=>"issue"}

  Current user: admin (id=1)

  Rendered watchers/_new.html.erb (1.6ms)

  Rendered watchers/new.js.erb (3.7ms)

Completed 200 OK in 260ms (Views: 9.7ms | ActiveRecord: 227.9ms)

#2 - 2017-12-07 12:02 - David Setiawan

- Status changed from Closed to Reopened
Sorry but i just dont get it.

I think from this line below, the issue is in Redmine? Webserver only try to proxy anything presented by Redmine. I don't think there is any template

for the redmine available in the webserver. FYI i'm using apache 2.4 if that helps.

W, [2017-12-07T18:05:10.025527 #25008]  WARN -- : Missing template, responding with 404

#3 - 2017-12-07 13:05 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Your log says "GET "/watchers/new.html".

It should be "GET "/watchers/new".

#4 - 2017-12-08 11:04 - David Setiawan

- Status changed from Closed to Reopened

I'm not sure if the problem lies in the webserver.

Below are the snapshot of my apache access log upon trying to add watchers

115.135.56.205 - - [08/Dec/2017:17:56:00 +0800] "GET /watchers/new?object_id=9945&object_type=issue HTTP/1.1" 

404 172 "https://url/issues/9945" "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like G

ecko) Chrome/62.0.3202.94 Safari/537.36" (62ms)

 Below are the snapshot of my chrome's developer console upon trying to add watchers

Accept:*/*;q=0.5, text/javascript, application/javascript, application/ecmascript, application/x-ecmascript

Accept-Encoding:gzip, deflate, br

Accept-Language:en-US,en;q=0.9

Cache-Control:no-cache

Connection:keep-alive

Cookie:_xxxxxx

Host:xxxxx

Pragma:no-cache

Referer:xxxxxx

User-Agent:Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.9

4 Safari/537.36

X-CSRF-Token:xxxxx

X-Requested-With:XMLHttpRequest

 As you can see in both log request above, it is trying to request for a javascript file, which is true in this case.

But not sure how, not sure why, it becomes like below when the request reach redmine. It appends .html in the GET section, and of course since it

doesnt exist, i got an error.

I, [2017-12-08T17:57:04.792873 #27950]  INFO -- : Started GET "/watchers/new.html?object_id=9945&object_type=i

ssue" for 115.135.56.205 at 2017-12-08 17:57:04 +0800

I, [2017-12-08T17:57:04.794175 #27950]  INFO -- : Processing by WatchersController#new as HTML

I, [2017-12-08T17:57:04.794282 #27950]  INFO -- :   Parameters: {"object_id"=>"9945", "object_type"=>"issue"}

I, [2017-12-08T17:57:04.827637 #27950]  INFO -- :   Current user: xxxx (id=383)

W, [2017-12-08T17:57:04.841389 #27950]  WARN -- : Missing template, responding with 404

I, [2017-12-08T17:57:04.842002 #27950]  INFO -- :   Rendered common/error.html.erb (0.1ms)

I, [2017-12-08T17:57:04.842177 #27950]  INFO -- : Completed 404 Not Found in 48ms (Views: 0.4ms | ActiveRecord

: 32.4ms)

#5 - 2017-12-08 11:26 - Toshi MARUYAMA

- Status changed from Reopened to Closed

David Setiawan wrote:

I'm not sure if the problem lies in the webserver.

 Try with webrick.
